# Add-RASTemplateLicenseKey.md

## NAME

Add-RASTemplateLicenseKey

## SYNOPSIS

Modifies properties of a RAS Template license key.

## SYNTAX

\*\*Add-RASTemplateLicenseKey \[[Id](#id-string)] *(uint)* -[Key](#key-string) *(string)* -[KeyLimit](#keylimit-string) *(uint)* -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASTemplateLicenseKey \[-[InputObject](#inputobject)] *(*[*Template*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)*)* -[Key](#key-string) *(string)* -[KeyLimit](#keylimit-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies properties of a license key used by a RAS Template.

## PARAMETERS

## Id (uint)

The ID of a RAS Template to modify.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([TemplateObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateobjtype.md))

The Object Type for which to add Template License Key.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

An object of type Template representing a RAS Template.

The object is obtained using the Get-Template cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Key (string)

The license key.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## KeyLimit (uint)

The max limit for the license key.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASTemplateLicenseKey -ObjType VDITemplate -Id 1 -Key abcd1234 -KeyLimit 25

Modifies the specified license key properties for a RAS Template specified by ObjType and ID.\
\*\*---------- EXAMPLE 2 ----------

Add-RASTemplateLicenseKey -InputObject $Template -Key abcd1234 -KeyLimit 25

Modifies the specified license key properties for a RAS Template specified by the Object Type variable.\
\*\*---------- EXAMPLE 3 ----------

Get-RASTemplate -ObjType VDITemplate -Id 1 | Add-RASTemplateLicenseKey -Key abcd1234 -KeyLimit 25

Modifies the specified license key properties for a RAS Template obtained from the pipeline output.

## RELATED LINKS

* [Set-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplate.md)
* [Get-RASTemplateLicenseKey](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplatelicensekey.md)
* [Remove-RASTemplateLicenseKey](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplatelicensekey.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rastemplatelicensekey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
